<?php

namespace plugin\cms\model;

use think\model\Pivot;

class CmsTutorialCategory extends Pivot
{
    /**
     * 关联分类模型
     */
    public function category()
    {
        return $this->belongsTo(CmsCategory::class, 'cid', 'id');
    }

    /**
     * 关联办事指南模型
     */
    public function tutorial()
    {
        return $this->belongsTo(CmsTutorial::class, 'tid', 'id');
    }
}