<?php

namespace plugin\inspection\controller\api\auth;

use plugin\inspection\controller\api\Auth;

class Message extends Auth
{
    public function index()
    {
        $pageData = $this->staff->messages()->order('create_at desc')->paginate();
        $this->success('获取消息成功', $pageData);
    }

    public function unread_count()
    {
        $count = $this->staff->messages()->scope('unread')->count();
        $this->success('获取未读消息数量成功', $count);
    }

    public function read()
    {
        $message_id = $this->request->post('message_id');
        $message = $this->staff->messages()->where('id', $message_id)->find();
        if (empty($message)) {
            $this->error('消息不存在');
        }
        $message->status = 1;
        $message->save();
        $this->success('消息已读');
    }
}