<?php

namespace plugin\ticket;

use think\admin\Plugin;

class Service extends Plugin
{
    protected $appName = '工单管理';
    protected $appCode = 'ticket';
    protected $package = 'jerryyan/think-plugs-ticket';

    public static function register(): void
    {
    }

    public static function menu(): array
    {
        $code = app(static::class)->appCode;
        return [
            [
                'name' => '工单管理',
                'subs' => [
                    ['name' => '工单分类', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/type/index"],
                    ['name' => '部门管理', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/dept/index"],
                    ['name' => '随手拍列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/user_share/index"],
                    ['name' => '工单列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/ticket/index"],
                    ['name' => '内部工单列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/ticket_inter/index"],
                    ['name' => '外部工单列表', 'icon' => 'layui-icon layui-icon-template-1', 'node' => "{$code}/ticket_outer/index"],
                ]
            ]
        ];
    }
}